************************************************************************
*
*  File: ASSSTREQ
*
*  Asserts that two strings are equal.
*
*  Tags: NUNIT, assertion
*
*  Parameters:
*    NUASSP    - Assertion parameters.
*    #EXPECTED - The expected value.
*    #ACTUAL   - The actual value.
*
*  Returns:
*    -
*
*  About:
*    Library       - NUNIT
*    Erstellt      - 29.08.2009
*    Autor         - $Author: Stefan $
*    Revison       - $LastChangedRevision: 264 $
*    Letzter Autor - $LastChangedBy: Stefan $
*    Modifiziert   - $Date: 2009-08-31 12:44:42 +0200 (Mo, 31 Aug 2009) $
*    Id            - $Id: ASSSTREQ.NSS 264 2009-08-31 10:44:42Z Stefan $
************************************************************************
*
DEFINE DATA
*
PARAMETER USING NUASSP
*
PARAMETER
01 #EXPECTED (A) DYNAMIC BY VALUE
01 #ACTUAL (A) DYNAMIC BY VALUE
*
LOCAL USING NUCONST
*
LOCAL
01 #GIVEN-MESSAGE (A) DYNAMIC
END-DEFINE
*
************************************************************************
DEFINE SUBROUTINE ASSERT-STRING-EQUALS
************************************************************************
*
INCLUDE NUASSHD
*
IF NUASSP.MESSAGE NE ' '
  #GIVEN-MESSAGE := NUASSP.MESSAGE 
END-IF
*
IF *TRIM(#ACTUAL) NE *TRIM(#EXPECTED)
  COMPRESS '<' #ACTUAL '> should be <' #EXPECTED '>.' INTO NUASSP.MESSAGE LEAVING NO 
  COMPRESS #GIVEN-MESSAGE NUASSP.MESSAGE INTO NUASSP.MESSAGE 
  *ERROR-NR := ASSERTION-ERROR 
END-IF
*
END-SUBROUTINE
************************************************************************
*
END
