************************************************************************
*
*  File: NUSHOWPR
*
*  Shows all problems that occured during a TestSuite's run.
*
*  Tags: NUNIT
*
*  Parameters:
*    NUTSP - The TestSuite's results.
*
*  Returns:
*    -
*
*  About:
*    Library       - NUNIT
*    Erstellt      - 29.08.2009
*    Autor         - $Author: Stefan $
*    Revison       - $LastChangedRevision: 264 $
*    Letzter Autor - $LastChangedBy: Stefan $
*    Modifiziert   - $Date: 2009-08-31 12:44:42 +0200 (Mo, 31 Aug 2009) $
*    Id            - $Id: NUSHOWPR.NSS 264 2009-08-31 10:44:42Z Stefan $
************************************************************************
*
DEFINE DATA
*
PARAMETER USING NUTSP
*
LOCAL USING NUCONST
*
LOCAL
01 #PROBLEMS (A/1:*) DYNAMIC
01 #P (N8)
*
01 #LINE (A) DYNAMIC
01 #LINE-LENGTH (N3)
*
01 #SPLIT-LINE (A/1:*) DYNAMIC
01 #NUM-PIECES (N3)
01 #PIECE (N3)
01 #REMAINDER (N3)
*
01 #SUBSTRING-START (N3)
01 #SUBSTRING-LENGTH (N3)
*
END-DEFINE
*
************************************************************************
DEFINE SUBROUTINE SHOW-PROBLEMS
************************************************************************
*
PERFORM GET-PROBLEMS NUTSP #PROBLEMS(*)
*
FOR #P 1 *OCCURRENCE(#PROBLEMS)
*
  #LINE := #PROBLEMS(#P) 
  #LINE-LENGTH := *LENGTH(#LINE) 
  IF #LINE-LENGTH LE 79 
    WRITE #LINE (AL=79) 
  ELSE 
    #NUM-PIECES := #LINE-LENGTH - 79 
    DIVIDE 74 INTO #NUM-PIECES REMAINDER #REMAINDER 
    IF #REMAINDER GT 0 
      ADD 1 TO #NUM-PIECES /* for last line 
    END-IF 
*
*   split long lines into multiple lines
    RESIZE ARRAY #SPLIT-LINE TO (1:#NUM-PIECES) 
    FOR #PIECE 1 #NUM-PIECES 
      #SUBSTRING-START := 80 + (#PIECE - 1) * 74 
      #SUBSTRING-LENGTH := #LINE-LENGTH - #SUBSTRING-START + 1 
      IF #SUBSTRING-LENGTH GT 74 
        #SUBSTRING-LENGTH := 74 
      END-IF 

      #SPLIT-LINE(#PIECE) := SUBSTRING(#LINE, #SUBSTRING-START, #SUBSTRING-LENGTH) 
    END-FOR 
*
    WRITE #LINE (AL=79) 
*
    FOR #PIECE 1 #NUM-PIECES 
      WRITE '    ' #SPLIT-LINE(#PIECE) (AL=74) 
    END-FOR 
*
  END-IF 
*
END-FOR
*
END-SUBROUTINE
*
END
