************************************************************************
*
*  File: NUWASSEQ
*
*  Wrapper routine to be able to check assertion results as a
*  boolean value.
*
*  Tags: NUNIT, assertion, wrapper
*
*  Parameters:
*    #EXPECTED - The expected value.
*    #ACTUAL   - The actual value.
*
*  Returns:
*    #RESULT - The assertion result.
*
*  About:
*    Library       - NUNIT
*    Erstellt      - 29.08.2009
*    Autor         - $Author: Stefan $
*    Revison       - $LastChangedRevision: 264 $
*    Letzter Autor - $LastChangedBy: Stefan $
*    Modifiziert   - $Date: 2009-08-31 12:44:42 +0200 (Mo, 31 Aug 2009) $
*    Id            - $Id: NUWASSEQ.NSS 264 2009-08-31 10:44:42Z Stefan $
************************************************************************
*
DEFINE DATA
*
PARAMETER
01 #EXPECTED (A) DYNAMIC BY VALUE
01 #ACTUAL   (A) DYNAMIC BY VALUE
01 #RESULT   (L)
*
LOCAL USING NUCONST
LOCAL USING NUASSP
*
END-DEFINE
*
************************************************************************
DEFINE SUBROUTINE WRAP-ASSERT-STRING-EQUALS
************************************************************************
*
#RESULT := TRUE
PERFORM ASSERT-STRING-EQUALS NUASSP #EXPECTED #ACTUAL
*
ON ERROR
  IF *ERROR-NR EQ ASSERTION-ERROR 
    #RESULT := FALSE 
    ESCAPE ROUTINE 
  END-IF 
END-ERROR
*
END-SUBROUTINE
************************************************************************
*
END

